## python-django-storages 1.14.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-storages.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-storages.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-storages"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-storages"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
furo==2024.8.6
Sphinx==7.2.6

## python-django-storages 1.7.1

=== debian/changelog ===
python-django-storages (1.7.1-1) unstable; urgency=low

  * Initial release (Closes: #929620).

 -- Michael Fladischer <fladi@debian.org>  Sun, 26 May 2019 18:24:46 +0200

=== debian/control ===
Source: python-django-storages
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-azure-storage,
 python3-boto3,
 python3-django,
 python3-dropbox,
 python3-libcloud,
 python3-paramiko,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.3.0
Homepage: https://github.com/jschneier/django-storages/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-storages
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-storages.git
Testsuite: autopkgtest-pkg-python

Package: python-django-storages-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: storage backends in Django (Documentation)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 This package contains the documentation.

Package: python3-django-storages
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-django-storages-boto3,
 python3-django-storages-dropbox,
 python3-django-storages-ftp,
 python3-django-storages-libcloud,
 python3-django-storages-sftp,
Suggests:
 python-django-storages-doc,
Description: storage backends in Django (Python3 version)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 Each backend is shipped as a separate package to ensure granular dependencies.
 This package contains the common files of the library.

Package: python3-django-storages-azure
Architecture: all
Depends:
 python3-django-storages (= ${binary:Version}),
 python3-azure-storage,
 ${misc:Depends},
 ${python3:Depends},
Description: storage backends in Django (Azure)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 Each backend is shipped as a separate package to ensure granular dependencies.
 This package contains the azure backend for AWS.

Package: python3-django-storages-boto
Architecture: all
Depends:
 python3-django-storages (= ${binary:Version}),
 python3-boto,
 ${misc:Depends},
 ${python3:Depends},
Description: storage backends in Django (Boto)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 Each backend is shipped as a separate package to ensure granular dependencies.
 This package contains the boto backend for AWS.

Package: python3-django-storages-boto3
Architecture: all
Depends:
 python3-django-storages (= ${binary:Version}),
 python3-boto3,
 ${misc:Depends},
 ${python3:Depends},
Description: storage backends in Django (Boto3)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 Each backend is shipped as a separate package to ensure granular dependencies.
 This package contains the boto3 backend for AWS.

Package: python3-django-storages-dropbox
Architecture: all
Depends:
 python3-django-storages (= ${binary:Version}),
 python3-dropbox,
 ${misc:Depends},
 ${python3:Depends},
Description: storage backends in Django (Dropbox)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 Each backend is shipped as a separate package to ensure granular dependencies.
 This package contains the Dropbox backend.

Package: python3-django-storages-ftp
Architecture: all
Depends:
 python3-django-storages (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: storage backends in Django (FTP)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 Each backend is shipped as a separate package to ensure granular dependencies.
 This package contains the FTP backend.

Package: python3-django-storages-libcloud
Architecture: all
Depends:
 python3-django-storages (= ${binary:Version}),
 python3-libcloud,
 ${misc:Depends},
 ${python3:Depends},
Description: storage backends in Django (Libcloud)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 Each backend is shipped as a separate package to ensure granular dependencies.
 This package contains the libcloud backend.

Package: python3-django-storages-sftp
Architecture: all
Depends:
 python3-django-storages (= ${binary:Version}),
 python3-paramiko,
 ${misc:Depends},
 ${python3:Depends},
Description: storage backends in Django (SFTP)
 django-storages is a collection of custom storage backends for Django. Each
 storage backend has its own unique settings you will need to add to your
 settings.py file. Read the documentation for your storage engine(s) of choice
 to determine what you need to add.
 .
 Each backend is shipped as a separate package to ensure granular dependencies.
 This package contains the SFTP backend.

## python-django-storages 1.9.1

=== debian/changelog ===
python-django-storages (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.0.
  * Drop python3-django-storages-boto binary package, no longer provided
    by upstream and superseded by python3-django-storages-boto3.

 -- Michael Fladischer <fladi@debian.org>  Thu, 06 Feb 2020 19:16:38 +0100

python-django-storages (1.8-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Set Rules-Requires-Root: no.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Nov 2019 21:16:42 +0100

python-django-storages (1.7.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Refresh patches.
  * Clean up pytest artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sat, 14 Sep 2019 10:41:54 +0200

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/jschneier/django-storages/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-storages
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-storages.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-storages-doc
 Section: doc
@@ -62,8 +63,8 @@
 Package: python3-django-storages-azure
 Architecture: all
 Depends:
+ python3-azure-storage,
  python3-django-storages (= ${binary:Version}),
- python3-azure-storage,
  ${misc:Depends},
  ${python3:Depends},
 Description: storage backends in Django (Azure)
@@ -75,27 +76,11 @@
  Each backend is shipped as a separate package to ensure granular dependencies.
  This package contains the azure backend for AWS.
 
-Package: python3-django-storages-boto
-Architecture: all
-Depends:
- python3-django-storages (= ${binary:Version}),
- python3-boto,
- ${misc:Depends},
- ${python3:Depends},
-Description: storage backends in Django (Boto)
- django-storages is a collection of custom storage backends for Django. Each
- storage backend has its own unique settings you will need to add to your
- settings.py file. Read the documentation for your storage engine(s) of choice
- to determine what you need to add.
- .
- Each backend is shipped as a separate package to ensure granular dependencies.
- This package contains the boto backend for AWS.
-
 Package: python3-django-storages-boto3
 Architecture: all
 Depends:
+ python3-boto3,
  python3-django-storages (= ${binary:Version}),
- python3-boto3,
  ${misc:Depends},
  ${python3:Depends},
 Description: storage backends in Django (Boto3)

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.]+.*)$/python-django-storages-$1/ \
https://github.com/jschneier/django-storages/releases \
/jschneier/django-storages/archive/v?([\d\.]+)\.tar\.gz

## python-django-storages 1.11

=== debian/changelog ===
python-django-storages (1.11-1) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-django-storages-doc: Add Multi-Arch: foreign.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Fri, 18 Dec 2020 19:05:31 +0100

python-django-storages (1.10.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Add python3-rsa to Build-Depends, required by tests.
  * d/not-installed: Match all Python3 versions.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 22:58:03 +0200

python-django-storages (1.9.1-2) unstable; urgency=medium

  * Drop python3-django-storages-azure as upstream does not yet support
    Azure SDK 12, will be re-introduced once support has been merged
    (Closes: #959547).
  * Bump debhelper version to 13.
  * List unsupported backends in debian/not-installed to avoid
    dh_missing complaining about them.

 -- Michael Fladischer <fladi@debian.org>  Sat, 16 May 2020 19:53:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: python-django-storages
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-azure-storage,
  python3-boto3,
  python3-django,
  python3-dropbox,
  python3-libcloud,
  python3-paramiko,
  python3-pytest,
+ python3-rsa,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/jschneier/django-storages/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-storages
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-storages.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-storages
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-storages.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
@@ -30,6 +30,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: storage backends in Django (Documentation)
  django-storages is a collection of custom storage backends for Django. Each
  storage backend has its own unique settings you will need to add to your
@@ -59,22 +60,6 @@
  .
  Each backend is shipped as a separate package to ensure granular dependencies.
  This package contains the common files of the library.
-
-Package: python3-django-storages-azure
-Architecture: all
-Depends:
- python3-azure-storage,
- python3-django-storages (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
-Description: storage backends in Django (Azure)
- django-storages is a collection of custom storage backends for Django. Each
- storage backend has its own unique settings you will need to add to your
- settings.py file. Read the documentation for your storage engine(s) of choice
- to determine what you need to add.
- .
- Each backend is shipped as a separate package to ensure granular dependencies.
- This package contains the azure backend for AWS.
 
 Package: python3-django-storages-boto3
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=--ignore=tests/integration
export DJANGO_SETTINGS_MODULE=tests.settings
export NO_NETWORK=yes

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-storages-doc/usr/share/doc/python-django-storages-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.]+.*)$/python-django-storages-$1/ \
https://github.com/jschneier/django-storages/releases \
/jschneier/django-storages/archive/v?([\d\.]+)\.tar\.gz

## python-django-storages 1.12.3

=== debian/changelog ===
python-django-storages (1.12.3-1) unstable; urgency=low

  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Refresh patches.
  * Update year in d/copyright.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 20 Dec 2021 13:14:43 +0000

python-django-storages (1.12.2-1) unstable; urgency=low

  [ Diego M. Rodriguez ]
  * d/tests: specify import name

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.1.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Oct 2021 15:17:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
  python3-rsa,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/jschneier/django-storages/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-storages
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-storages.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python-django-storages-doc

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.]+.*)$/python-django-storages-$1/ \
https://github.com/jschneier/django-storages/tags \
/jschneier/django-storages/archive/refs/tags/v?([\d\.]+)\.tar\.gz

## python-django-storages 1.13.1

=== debian/changelog ===
python-django-storages (1.13.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Sep 2022 13:14:58 +0000

## python-django-storages 1.13.2

=== debian/changelog ===
python-django-storages (1.13.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update d/copyright with new years.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 Jan 2023 20:17:34 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-rsa,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/jschneier/django-storages/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-storages
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-storages.git

## python-django-storages 1.14.2

=== debian/changelog ===
python-django-storages (1.14.2-2) unstable; urgency=medium

  * Clean up .pytest_cache directory after build-time tests (Closes:
    #1067332).

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Apr 2024 15:53:09 +0000

python-django-storages (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Build using pybuild-plugin-pyproject.
  * Fix installed file names for pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Fri, 27 Oct 2023 21:56:40 +0000

python-django-storages (1.14-1) unstable; urgency=medium

  * New upstream version 1.14
  * Refresh patches.
  * Bump Standards-Version to 4.6.2.
  * Upstream renamed boto3 backend to s3, change binary package name
    accordingly (python3-django-storages-s3).

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Sep 2023 15:57:24 +0000

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
-export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests {build_dir}/.pytest_cache
 export PYBUILD_TEST_ARGS=--ignore=tests/integration
 export DJANGO_SETTINGS_MODULE=tests.settings
 export NO_NETWORK=yes

## python-django-storages 1.14.3

=== debian/changelog ===
python-django-storages (1.14.3-1) unstable; urgency=low

  * New upstream version 1.14.3
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 May 2024 19:28:31 +0000

## python-django-storages 1.14.4

=== debian/changelog ===
python-django-storages (1.14.4-2) unstable; urgency=medium

  * Team Upload
  * Trim autopkgtest deps
  * Sort dependencies with debputy

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 23:31:04 +0100

python-django-storages (1.14.4-1) unstable; urgency=low

  * New upstream version 1.14.4
  * Refresh patches.
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jul 2024 07:34:49 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-boto3,
  python3-django,
@@ -17,11 +18,12 @@
  python3-rsa,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/jschneier/django-storages/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-storages
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-storages.git
 Rules-Requires-Root: no
+X-Style: black
 
 Package: python-django-storages-doc
 Section: doc
@@ -44,10 +46,10 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- python3-django-storages-boto3,
  python3-django-storages-dropbox,
  python3-django-storages-ftp,
  python3-django-storages-libcloud,
+ python3-django-storages-s3,
  python3-django-storages-sftp,
 Suggests:
  python-django-storages-doc,
@@ -61,20 +63,13 @@
  This package contains the common files of the library.
 
 Package: python3-django-storages-boto3
+Depends:
+ python3-django-storages-s3,
+ ${misc:Depends},
 Architecture: all
-Depends:
- python3-boto3,
- python3-django-storages (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
-Description: storage backends in Django (Boto3)
- django-storages is a collection of custom storage backends for Django. Each
- storage backend has its own unique settings you will need to add to your
- settings.py file. Read the documentation for your storage engine(s) of choice
- to determine what you need to add.
- .
- Each backend is shipped as a separate package to ensure granular dependencies.
- This package contains the boto3 backend for AWS.
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
 
 Package: python3-django-storages-dropbox
 Architecture: all
@@ -123,6 +118,26 @@
  Each backend is shipped as a separate package to ensure granular dependencies.
  This package contains the libcloud backend.
 
+Package: python3-django-storages-s3
+Architecture: all
+Depends:
+ python3-boto3,
+ python3-django-storages (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+Replaces:
+ python3-django-storages-boto3 (<< 1.14-1~),
+Breaks:
+ python3-django-storages-boto3 (<< 1.14-1~),
+Description: storage backends in Django (S3)
+ django-storages is a collection of custom storage backends for Django. Each
+ storage backend has its own unique settings you will need to add to your
+ settings.py file. Read the documentation for your storage engine(s) of choice
+ to determine what you need to add.
+ .
+ Each backend is shipped as a separate package to ensure granular dependencies.
+ This package contains the boto3 backend for AWS S3.
+
 Package: python3-django-storages-sftp
 Architecture: all
 Depends:

## python-django-storages 1.14.5

=== debian/changelog ===
python-django-storages (1.14.5-2) unstable; urgency=medium

  * Team upload.
  * Don't try to install *.pyc files in binary packages (closes: #1103323).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 11:41:10 +0200

python-django-storages (1.14.5-1) unstable; urgency=low

  * New upstream version 1.14.5
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.
  * Add furo to Build-Depends, required by documentation.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Apr 2025 15:48:49 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export NO_NETWORK=yes
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
@@ -17,6 +17,5 @@
 	dh_sphinxdoc
 endif
 
-override_dh_clean:
+execute_before_dh_clean:
 	rm -rf docs/.build
-	dh_clean

## python-django-storages 1.14.6

=== debian/changelog ===
python-django-storages (1.14.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Aug 2025 11:59:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ furo,
  pybuild-plugin-pyproject,
  python3-all,
  python3-boto3,
@@ -18,7 +19,7 @@
  python3-rsa,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jschneier/django-storages/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-storages
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-storages.git
